package com.uiuipad.appstore.bean;

import androidx.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.JsonParser;

import java.io.Serializable;
import java.util.List;

public class AdminAppInfo implements Serializable {
    private static final long serialVersionUID = -9178218597906895330L;

    long id;
    String app_name;
    String app_package;
    String app_version_name;
    long app_version_code;
    long app_size;
    String app_url;
    String app_icon;
    String app_md5;
    float app_score;
    String app_developer;
    int is_promote;
    int use_type;
    int is_autodown;
    String app_remarks;
    List<String> app_preview;
    long update_time;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getApp_name() {
        return app_name;
    }

    public void setApp_name(String app_name) {
        this.app_name = app_name;
    }

    public String getApp_package() {
        return app_package;
    }

    public void setApp_package(String app_package) {
        this.app_package = app_package;
    }

    public String getApp_version_name() {
        return app_version_name;
    }

    public void setApp_version_name(String app_version_name) {
        this.app_version_name = app_version_name;
    }

    public long getApp_version_code() {
        return app_version_code;
    }

    public void setApp_version_code(long app_version_code) {
        this.app_version_code = app_version_code;
    }

    public long getApp_size() {
        return app_size;
    }

    public void setApp_size(long app_size) {
        this.app_size = app_size;
    }

    public String getApp_url() {
        return app_url;
    }

    public void setApp_url(String app_url) {
        this.app_url = app_url;
    }

    public String getApp_icon() {
        return app_icon;
    }

    public void setApp_icon(String app_icon) {
        this.app_icon = app_icon;
    }

    public String getApp_md5() {
        return app_md5;
    }

    public void setApp_md5(String app_md5) {
        this.app_md5 = app_md5;
    }

    public float getApp_score() {
        return app_score;
    }

    public void setApp_score(float app_score) {
        this.app_score = app_score;
    }

    public String getApp_developer() {
        return app_developer;
    }

    public void setApp_developer(String app_developer) {
        this.app_developer = app_developer;
    }

    public int getIs_promote() {
        return is_promote;
    }

    public void setIs_promote(int is_promote) {
        this.is_promote = is_promote;
    }

    public int getUse_type() {
        return use_type;
    }

    public void setUse_type(int use_type) {
        this.use_type = use_type;
    }

    public int getIs_autodown() {
        return is_autodown;
    }

    public void setIs_autodown(int is_autodown) {
        this.is_autodown = is_autodown;
    }

    public String getApp_remarks() {
        return app_remarks;
    }

    public void setApp_remarks(String app_remarks) {
        this.app_remarks = app_remarks;
    }

    public List<String> getApp_preview() {
        return app_preview;
    }

    public void setApp_preview(List<String> app_preview) {
        this.app_preview = app_preview;
    }

    public long getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(long update_time) {
        this.update_time = update_time;
    }

    @NonNull
    @Override
    public String toString() {
        return JsonParser.parseString(new Gson().toJson(this)).getAsJsonObject().toString();
    }
}
